#include <sta/gpio_pin.hpp>


namespace sta
{
    void GpioPin::setHigh()
    {
        setState(GpioPinState::GPIO_HIGH);
    }

    void GpioPin::setLow()
    {
        setState(GpioPinState::GPIO_LOW);
    }

    void GpioPin::toggle()
    {
        setState(getState() == GpioPinState::GPIO_HIGH ? GpioPinState::GPIO_LOW : GpioPinState::GPIO_HIGH);
    }
} // namespace sta
